%define upstream_name    Test-Synopsis-Expectation
%define upstream_version 0.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Test that SYNOPSIS code produces expected results
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta::Prereqs)
BuildRequires: perl(Module::Build)
BuildRequires: perl(PPI::Tokenizer)
BuildRequires: perl(Pod::Simple::Methody)
BuildRequires: perl(Test::Builder::Module)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
This module checks that a module's SYNOPSIS section is syntactically
correct, and will also check that it produces the expected results, based
on annotations you add in comments.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Sep 10 2023 tv <tv> 0.120.0-1.mga10
+ Revision: 1985792
- imported package perl-Test-Synopsis-Expectation

